#
# spec file for package icu (Version 1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         icu
Copyright:    IBM PUBLIC LICENSE
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      1.7
Release:      92
Requires:     libicu17 >= 1.7
URL:          http://oss.software.ibm.com/developerworks/opensource/icu/project/index.html
Source0:      http://oss.software.ibm.com/developerworks/opensource/icu/project/download/1.7/icu-1.7.tar.bz2
Source1:      http://oss.software.ibm.com/developerworks/opensource/icu/project/download/1.7/icu-1.7-docs.tar.bz2
Source3:      SuSEconfig.icu
Patch0:       icu-1.7.patch
BuildRoot:    /var/tmp/%{name}-root
Summary:      International Components for Unicode

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU. It does
not contain any of the data files needed at runtime and present in the
`icu' and `icu-locales` packages.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n libicu17
Summary:      International Components for Unicode (libraries)
Group: Development/Libraries

%description -n libicu17
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU. It does
not contain any of the data files needed at runtime and present in the
`icu' and `icu-locales` packages.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n libicu-devel
Summary:      International Components for Unicode (development files)
Group: Development/Libraries
Requires: libicu17 = 1.7

%description -n libicu-devel
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the development files for ICU.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n icu-locales
Summary:      International Components for Unicode (Locale data)
Group: System Environment/Libraries
Requires: libicu17 >= 1.7

%description -n icu-locales
The locale data are used by ICU to provide localization (l10n) and
internationalization (i18n) support to ICU applications. This package
also contains break data for various languages, and transliteration data.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n libicu-doc
Summary:      International Components for Unicode  (html documentation)
Group: Development/Libraries

%description -n libicu-doc
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the html documentation.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n icu-data
Summary:      International Components for Unicode (sources for the data in ICU)
Group: System Environment/Libraries
Requires: libicu17 >= 1.7

%description -n icu-data
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the source files for the data found in
the "icu" package.
These data describe the Unicode data (normative and informative), and
also all the table-based converters provided in the ICU distribution.
This package contains uncompiled source data. Precompiled data are in the
`libicu%{version}' package.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%package -n icu-i18ndata
Summary:      International Components for Unicode (sources for data in "icu-locales")
Group: System Environment/Libraries
Requires: libicu17 >= 1.7

%description -n icu-i18ndata
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the source files for the data found in
the "icu-locales" package.
The locale data are used by ICU to provide localization (l10n) and
internationalization (i18n) support to ICU applications. This package
also contains break data for various languages, and transliteration data.
This package contains uncompiled source data. Precompiled data are in the
`icu-locales' package.

Authors:
--------
    The ICU project, International Business Machines (IBM) and Others. <icu@oss.software.ibm.com>

SuSE series: d

%prep
%setup0 -n icu
%patch0 -p 1
mkdir html
tar Ixvf %{SOURCE1} -C html

%build
pushd source
    rm -f config.cache
    %{?suse_update_config:%{suse_update_config -f }}
    CFLAGS="$RPM_OPT_FLAGS -fPIC" \
    CXXFLAGS="$RPM_OPT_FLAGS -fPIC" \
    ./configure --prefix=/usr \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--with-data-packaging=files \
		--disable-rpath \
		--enable-shared \
		--enable-static \
		--without-samples \
		%{_target_cpu}-suse-linux-gnu
    make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
popd

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
pushd source
    make DESTDIR=$RPM_BUILD_ROOT install
popd
# install uncompiled source data:
mkdir -p $RPM_BUILD_ROOT/usr/share/icu/%{version}/unidata
pushd data
    install -m 644 *.txt *.ucm *.brk $RPM_BUILD_ROOT/usr/share/icu/%{version}/
    install -m 644 unidata/*.*       $RPM_BUILD_ROOT/usr/share/icu/%{version}/unidata
    (cd $RPM_BUILD_ROOT/usr/share/icu/%{version}/; ln -s unidata/UnicodeData.txt .; )
    rm $RPM_BUILD_ROOT/usr/share/icu/%{version}/convrtrs.txt
popd
# run test suite:
pushd source
        pushd data
	    ln -sf build/*.cnv build/*.res build/*.dat build/*.brk .
	popd
	make check || echo "make check returned $?, ignored."
popd
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d/
sed -e "s/@ICUVERSION@/%{version}/g" < ${RPM_SOURCE_DIR}/SuSEconfig.icu > ./SuSEconfig.icu
install -m 755 ./SuSEconfig.icu $RPM_BUILD_ROOT/sbin/conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc license.html readme.html
%config /etc/icu/convrtrs.txt
/usr/share/icu/%{version}/README
/usr/lib/icu/%{version}/*.cnv
/usr/lib/icu/%{version}/*.dat
/usr/sbin/
%{_mandir}/
/sbin/conf.d/SuSEconfig.icu

%files -n libicu17
%defattr(-, root, root)
%doc license.html readme.html
/usr/lib/lib*.so.*

%files -n libicu-devel
%defattr(-, root, root)
%doc license.html readme.html
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/include/unicode/
/usr/lib/icu/%{version}/Makefile.inc
/usr/lib/icu/Makefile.inc
/usr/share/icu/%{version}/config/

%files -n icu-locales
%defattr(-, root, root)
%doc license.html readme.html
/usr/lib/icu/%{version}/*.res
/usr/lib/icu/%{version}/*.brk

%files -n libicu-doc
%defattr(-, root, root)
%doc license.html readme.html
%doc html/
%doc packaging/

%files -n icu-data
%defattr(-, root, root)
%doc license.html readme.html
/usr/share/icu/%{version}/ucname.txt
/usr/share/icu/%{version}/*.ucm
/usr/share/icu/%{version}/unidata/*
/usr/share/icu/%{version}/UnicodeData.txt

%files -n icu-i18ndata
%defattr(-, root, root)
%doc license.html readme.html
/usr/share/icu/%{version}/*.brk
# the following are the *.txt in the /usr/share/icu/%{version}/
# directory without ucname.txt and UnicodeData.txt:
/usr/share/icu/%{version}/af.txt
/usr/share/icu/%{version}/af_ZA.txt
/usr/share/icu/%{version}/ar.txt
/usr/share/icu/%{version}/ar_AE.txt
/usr/share/icu/%{version}/ar_BH.txt
/usr/share/icu/%{version}/ar_DZ.txt
/usr/share/icu/%{version}/ar_EG.txt
/usr/share/icu/%{version}/ar_IQ.txt
/usr/share/icu/%{version}/ar_JO.txt
/usr/share/icu/%{version}/ar_KW.txt
/usr/share/icu/%{version}/ar_LB.txt
/usr/share/icu/%{version}/ar_LY.txt
/usr/share/icu/%{version}/ar_MA.txt
/usr/share/icu/%{version}/ar_OM.txt
/usr/share/icu/%{version}/ar_QA.txt
/usr/share/icu/%{version}/ar_SA.txt
/usr/share/icu/%{version}/ar_SD.txt
/usr/share/icu/%{version}/ar_SY.txt
/usr/share/icu/%{version}/ar_TN.txt
/usr/share/icu/%{version}/ar_YE.txt
/usr/share/icu/%{version}/be.txt
/usr/share/icu/%{version}/be_BY.txt
/usr/share/icu/%{version}/bg.txt
/usr/share/icu/%{version}/bg_BG.txt
/usr/share/icu/%{version}/ca.txt
/usr/share/icu/%{version}/ca_ES.txt
/usr/share/icu/%{version}/ca_ES_EURO.txt
/usr/share/icu/%{version}/comparelocales.txt
/usr/share/icu/%{version}/cs.txt
/usr/share/icu/%{version}/cs_CZ.txt
/usr/share/icu/%{version}/da.txt
/usr/share/icu/%{version}/da_DK.txt
/usr/share/icu/%{version}/de.txt
/usr/share/icu/%{version}/de_AT.txt
/usr/share/icu/%{version}/de_AT_EURO.txt
/usr/share/icu/%{version}/de_CH.txt
/usr/share/icu/%{version}/de_DE.txt
/usr/share/icu/%{version}/de_DE_EURO.txt
/usr/share/icu/%{version}/de_LU.txt
/usr/share/icu/%{version}/de_LU_EURO.txt
/usr/share/icu/%{version}/difflocales.txt
/usr/share/icu/%{version}/el.txt
/usr/share/icu/%{version}/el_GR.txt
/usr/share/icu/%{version}/en.txt
/usr/share/icu/%{version}/en_AU.txt
/usr/share/icu/%{version}/en_BE.txt
/usr/share/icu/%{version}/en_BW.txt
/usr/share/icu/%{version}/en_CA.txt
/usr/share/icu/%{version}/en_GB.txt
/usr/share/icu/%{version}/en_IE.txt
/usr/share/icu/%{version}/en_IE_EURO.txt
/usr/share/icu/%{version}/en_NZ.txt
/usr/share/icu/%{version}/en_SG.txt
/usr/share/icu/%{version}/en_US.txt
/usr/share/icu/%{version}/en_ZA.txt
/usr/share/icu/%{version}/en_ZW.txt
/usr/share/icu/%{version}/eo.txt
/usr/share/icu/%{version}/es.txt
/usr/share/icu/%{version}/es_AR.txt
/usr/share/icu/%{version}/es_BO.txt
/usr/share/icu/%{version}/es_CL.txt
/usr/share/icu/%{version}/es_CO.txt
/usr/share/icu/%{version}/es_CR.txt
/usr/share/icu/%{version}/es_DO.txt
/usr/share/icu/%{version}/es_EC.txt
/usr/share/icu/%{version}/es_ES.txt
/usr/share/icu/%{version}/es_ES_EURO.txt
/usr/share/icu/%{version}/es_GT.txt
/usr/share/icu/%{version}/es_HN.txt
/usr/share/icu/%{version}/es_MX.txt
/usr/share/icu/%{version}/es_NI.txt
/usr/share/icu/%{version}/es_PA.txt
/usr/share/icu/%{version}/es_PE.txt
/usr/share/icu/%{version}/es_PR.txt
/usr/share/icu/%{version}/es_PY.txt
/usr/share/icu/%{version}/es_SV.txt
/usr/share/icu/%{version}/es_US.txt
/usr/share/icu/%{version}/es_UY.txt
/usr/share/icu/%{version}/es_VE.txt
/usr/share/icu/%{version}/et.txt
/usr/share/icu/%{version}/et_EE.txt
/usr/share/icu/%{version}/eu.txt
/usr/share/icu/%{version}/eu_ES.txt
/usr/share/icu/%{version}/fa.txt
/usr/share/icu/%{version}/fa_IR.txt
/usr/share/icu/%{version}/fi.txt
/usr/share/icu/%{version}/fi_FI.txt
/usr/share/icu/%{version}/fi_FI_EURO.txt
/usr/share/icu/%{version}/fo.txt
/usr/share/icu/%{version}/fo_FO.txt
/usr/share/icu/%{version}/fr.txt
/usr/share/icu/%{version}/fr_BE.txt
/usr/share/icu/%{version}/fr_BE_EURO.txt
/usr/share/icu/%{version}/fr_CA.txt
/usr/share/icu/%{version}/fr_CH.txt
/usr/share/icu/%{version}/fr_FR.txt
/usr/share/icu/%{version}/fr_FR_EURO.txt
/usr/share/icu/%{version}/fr_LU.txt
/usr/share/icu/%{version}/fr_LU_EURO.txt
/usr/share/icu/%{version}/fullhalf.txt
/usr/share/icu/%{version}/ga.txt
/usr/share/icu/%{version}/ga_IE.txt
/usr/share/icu/%{version}/gl.txt
/usr/share/icu/%{version}/gl_ES.txt
/usr/share/icu/%{version}/gv.txt
/usr/share/icu/%{version}/gv_GB.txt
/usr/share/icu/%{version}/he.txt
/usr/share/icu/%{version}/he_IL.txt
/usr/share/icu/%{version}/hi.txt
/usr/share/icu/%{version}/hi_IN.txt
/usr/share/icu/%{version}/hr.txt
/usr/share/icu/%{version}/hr_HR.txt
/usr/share/icu/%{version}/hu.txt
/usr/share/icu/%{version}/hu_HU.txt
/usr/share/icu/%{version}/id.txt
/usr/share/icu/%{version}/id_ID.txt
/usr/share/icu/%{version}/index.txt
/usr/share/icu/%{version}/is.txt
/usr/share/icu/%{version}/is_IS.txt
/usr/share/icu/%{version}/it.txt
/usr/share/icu/%{version}/it_CH.txt
/usr/share/icu/%{version}/it_IT.txt
/usr/share/icu/%{version}/it_IT_EURO.txt
/usr/share/icu/%{version}/iw.txt
/usr/share/icu/%{version}/iw_IL.txt
/usr/share/icu/%{version}/ja.txt
/usr/share/icu/%{version}/ja_JP.txt
/usr/share/icu/%{version}/kana.txt
/usr/share/icu/%{version}/kbdescl1.txt
/usr/share/icu/%{version}/kl.txt
/usr/share/icu/%{version}/kl_GL.txt
/usr/share/icu/%{version}/ko.txt
/usr/share/icu/%{version}/ko_KR.txt
/usr/share/icu/%{version}/kok.txt
/usr/share/icu/%{version}/kok_IN.txt
/usr/share/icu/%{version}/kw.txt
/usr/share/icu/%{version}/kw_GB.txt
/usr/share/icu/%{version}/larabic.txt
/usr/share/icu/%{version}/lcyril.txt
/usr/share/icu/%{version}/ldevan.txt
/usr/share/icu/%{version}/lgreek.txt
/usr/share/icu/%{version}/lhalfwid.txt
/usr/share/icu/%{version}/lhebrew.txt
/usr/share/icu/%{version}/ljamo.txt
/usr/share/icu/%{version}/lkana.txt
/usr/share/icu/%{version}/lrussian.txt
/usr/share/icu/%{version}/lt.txt
/usr/share/icu/%{version}/lt_LT.txt
/usr/share/icu/%{version}/lv.txt
/usr/share/icu/%{version}/lv_LV.txt
/usr/share/icu/%{version}/mk.txt
/usr/share/icu/%{version}/mk_MK.txt
/usr/share/icu/%{version}/mr.txt
/usr/share/icu/%{version}/mr_IN.txt
/usr/share/icu/%{version}/mt.txt
/usr/share/icu/%{version}/mt_MT.txt
/usr/share/icu/%{version}/nb.txt
/usr/share/icu/%{version}/nb_NO.txt
/usr/share/icu/%{version}/nl.txt
/usr/share/icu/%{version}/nl_BE.txt
/usr/share/icu/%{version}/nl_BE_EURO.txt
/usr/share/icu/%{version}/nl_NL.txt
/usr/share/icu/%{version}/nl_NL_EURO.txt
/usr/share/icu/%{version}/nn.txt
/usr/share/icu/%{version}/nn_NO.txt
/usr/share/icu/%{version}/no.txt
/usr/share/icu/%{version}/no_NO.txt
/usr/share/icu/%{version}/no_NO_NY.txt
/usr/share/icu/%{version}/pl.txt
/usr/share/icu/%{version}/pl_PL.txt
/usr/share/icu/%{version}/pt.txt
/usr/share/icu/%{version}/pt_BR.txt
/usr/share/icu/%{version}/pt_PT.txt
/usr/share/icu/%{version}/pt_PT_EURO.txt
/usr/share/icu/%{version}/quotes.txt
/usr/share/icu/%{version}/ro.txt
/usr/share/icu/%{version}/ro_RO.txt
/usr/share/icu/%{version}/root.txt
/usr/share/icu/%{version}/ru.txt
/usr/share/icu/%{version}/ru_RU.txt
/usr/share/icu/%{version}/ru_UA.txt
/usr/share/icu/%{version}/sh.txt
/usr/share/icu/%{version}/sh_YU.txt
/usr/share/icu/%{version}/sk.txt
/usr/share/icu/%{version}/sk_SK.txt
/usr/share/icu/%{version}/sl.txt
/usr/share/icu/%{version}/sl_SI.txt
/usr/share/icu/%{version}/sq.txt
/usr/share/icu/%{version}/sq_AL.txt
/usr/share/icu/%{version}/sr.txt
/usr/share/icu/%{version}/sr_YU.txt
/usr/share/icu/%{version}/sv.txt
/usr/share/icu/%{version}/sv_FI.txt
/usr/share/icu/%{version}/sv_FI_AL.txt
/usr/share/icu/%{version}/sv_SE.txt
/usr/share/icu/%{version}/sw.txt
/usr/share/icu/%{version}/sw_KE.txt
/usr/share/icu/%{version}/sw_TZ.txt
/usr/share/icu/%{version}/ta.txt
/usr/share/icu/%{version}/ta_IN.txt
/usr/share/icu/%{version}/te.txt
/usr/share/icu/%{version}/te_IN.txt
/usr/share/icu/%{version}/th.txt
/usr/share/icu/%{version}/th_TH.txt
/usr/share/icu/%{version}/timezone.txt
/usr/share/icu/%{version}/tr.txt
/usr/share/icu/%{version}/tr_TR.txt
/usr/share/icu/%{version}/translit_index.txt
/usr/share/icu/%{version}/uk.txt
/usr/share/icu/%{version}/uk_UA.txt
/usr/share/icu/%{version}/vi.txt
/usr/share/icu/%{version}/vi_VN.txt
/usr/share/icu/%{version}/zh.txt
/usr/share/icu/%{version}/zh_CN.txt
/usr/share/icu/%{version}/zh_HK.txt
/usr/share/icu/%{version}/zh_SG.txt
/usr/share/icu/%{version}/zh_TW.txt

%changelog -n icu
* Wed Mar 07 2001 - mfabian@suse.de
- new package: icu 1.7
- package names as described in PACKAGING
